Skip to content
GAMPEONCreate
New project

Comments on a post

GET
/v1/posts/{id}/comments
curl --request GET \
--url 'https://api.gampeon.com/v1/posts/1/comments?limit=20'

Top-level comments: newest page first (before), each page in reading order (oldest first). Replies (parent): oldest first, continue with after. Without blocked accounts; removed comments only for their author.

Not available with access tokens.

id
required
integer
>= 1

Post ID

parent
integer

Top-level comment ID: list its replies

before
string

Top-level comments: next from the previous page

after
string

Replies: next from the previous page

limit
integer
default: 20 >= 1 <= 50

Page size, 1 to 50 (default 20)

Comments

Media typeapplication/json
object
total
required

All visible comments and replies

integer
comments
required
Array<object>
object
id
required
integer
postId
required
integer
parentId
required
One of:

Top-level comment this replies to

integer
body
required

Plain text, up to 1,000 characters. Can be empty if there is a GIF

string
gif
required
One of:
object
id
required

GIF ID at KLIPY

string
title
required

Description from KLIPY, for alt text

string
url
required

Image path relative to the API (/v1/gifs/…/md)

string
width
required
integer
height
required
integer
provider
required

klipy. Show “via KLIPY” on the GIF

string
createdAt
required

Unix time in milliseconds

integer format: int64
editedAt
required
One of:

Unix time in milliseconds

integer format: int64
author
required
object
handle
required

Unique handle

string
/^[a-z0-9_]{3,24}$/
displayName
required
string
avatar
One of:

Image path relative to the API (/v1/media/…). null without an image.

string
mentions
required

Mentioned handles that exist (@handle in the text)

Array<string>
reactions
required
object
total
required

All reactions together

integer
top
required

Up to three most frequent reactions, most frequent first (for the icons)

Array<string>
Allowed values: like love haha wow sad angry
counts
required

Number per reaction, only reactions that occur

object
key
additional properties
integer
myReaction
required
One of:
string
Allowed values: like love haha wow sad angry
replyCount
required

Replies (top-level comments only)

integer
canEdit
required
boolean
canDelete
required

You wrote it or manage the post

boolean
removed
object
at
required

Unix time in milliseconds

integer format: int64
reason
required
One of:

Statement of reasons

string
next
required
One of:
string

Example

{
"comments": [
{
"reactions": {
"top": [
"like"
]
},
"myReaction": "like"
}
]
}

Error codes: token_not_allowed

Media typeapplication/json
object
error
required

Machine-readable error code, for example not_found or rate_limited.

string
message

Human-readable detail. Only present for some errors.

string

Example generated

{
"error": "example",
"message": "example"
}

Error codes: not_found

Media typeapplication/json
object
error
required

Machine-readable error code, for example not_found or rate_limited.

string
message

Human-readable detail. Only present for some errors.

string

Example generated

{
"error": "example",
"message": "example"
}

Report a problem with this pageOther ways to give feedback